Subject: Re: bug#29279: Sharing the margins

From: martin rudalics <[email-masked]>
Date: Tue, 14 Nov 2017 10:54:36 +0100

>   ORDINAL is the optional ordinal number of the requested area, counted
 >     from left to right.  Negative ordinal numbers count from right to
 >     left.

I'd prefer ORDINAL represent an integer such that 0 means to put it in
the middle of that margin, a negative value farther to the left and a
positive value farther to the right with clashes decided in some
unspecified way.  I tried a similar thing with side windows.  The idea
is that a "don't care where to put it" application has a neutral choice
against others which explicitly want to display their elements left- or
rightmost.

 >     Zero means the value of COLS is the maximum width of the
 >     marginal area, and no separate allocation is requested.

I'd use a separate symbol (say 'pad-to-cols') for that.

BTW is ‘window-margin-modify’ just for the sake of the line numbers
codes or which other users would it have?

martin